pub struct ShellStatusResponse {
pub running: bool,
pub exit_code: Option<i32>,
pub line_count: u64,
}Expand description
Response from POST /api/v1/shell/status
Fields§
§running: bool§exit_code: Option<i32>§line_count: u64Trait Implementations§
Source§impl Clone for ShellStatusResponse
impl Clone for ShellStatusResponse
Source§fn clone(&self) -> ShellStatusResponse
fn clone(&self) -> ShellStatusResponse
Returns a duplicate of the value. Read more
1.0.0 (const: unstable) · Source§fn clone_from(&mut self, source: &Self)
fn clone_from(&mut self, source: &Self)
Performs copy-assignment from
source. Read moreSource§impl Debug for ShellStatusResponse
impl Debug for ShellStatusResponse
Source§impl<'de> Deserialize<'de> for ShellStatusResponse
impl<'de> Deserialize<'de> for ShellStatusResponse
Source§fn deserialize<__D>(__deserializer: __D) -> Result<Self, __D::Error>where
__D: Deserializer<'de>,
fn deserialize<__D>(__deserializer: __D) -> Result<Self, __D::Error>where
__D: Deserializer<'de>,
Deserialize this value from the given Serde deserializer. Read more
Auto Trait Implementations§
impl Freeze for ShellStatusResponse
impl RefUnwindSafe for ShellStatusResponse
impl Send for ShellStatusResponse
impl Sync for ShellStatusResponse
impl Unpin for ShellStatusResponse
impl UnsafeUnpin for ShellStatusResponse
impl UnwindSafe for ShellStatusResponse
Blanket Implementations§
Source§impl<T> BorrowMut<T> for Twhere
T: ?Sized,
impl<T> BorrowMut<T> for Twhere
T: ?Sized,
Source§fn borrow_mut(&mut self) -> &mut T
fn borrow_mut(&mut self) -> &mut T
Mutably borrows from an owned value. Read more